Bug 117071 - No sound with VIA VT8233/A/8235 audio controller
No sound with VIA VT8233/A/8235 audio controller
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks: FC2Target FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-02-27 17:32 EST by Robin Green
Modified: 2015-01-04 17:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2004-02-27 17:32:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 MultiZilla/1.6.2.0

Description of problem:
Even after unmuting and setting the master volume and the pcm volume
in alsamixer, I can still not get any sound out of any application.

I have tried:

mplayer -ao alsa9 test.mp3 - does not complain, appears to work but no
sound
mplayer -ao oss test.mp3 - does not complain, appears to work but no sound
mpg321 test.mp3 - does not complain, appears to work but no sound
esd - segfaults when I try to run it
xmms - segfaults when I try to run it
noatun - opens, but silently refuses to play test.mp3
cat /dev/urandom > /dev/dsp - no sound

Also, the KDE sound server gives the error ending with "the sound
server will continue with the null output plugin" when I log in.

I have also tried compiling kernel 2.6.3 - no difference. Tried
different values of dxs_support option in modprobe.conf - no difference.

Version-Release number of selected component (if applicable):
kernel-2.6.1-1.65

How reproducible:
Always

Steps to Reproduce:
1. Run redhat-config-sound
2. Adjust mixer settings with alsamixer
3. Play test song

    

Actual Results:  Test song fails

Expected Results:  Test song succeeds

Additional info:
Comment 1 Robin Green 2004-02-27 17:50:59 EST
By the way, I know the hardware (it's an onboard chipset) physically
works in some sense because there is a loud beep out of the speakers
on every boot-up.
Comment 2 Robin Green 2004-02-28 11:42:22 EST
Just tried the OSS driver with my self-compiled kernel 2.6.3. It works
fine.
Comment 3 Arjan van de Ven 2004-03-10 12:12:34 EST
are you aware that alsa defaults to a sound volume of 0? please run
alsa-mixer to increase the volume
Comment 4 Robin Green 2004-03-10 13:22:38 EST
I am aware of this. The very first line in my bug report starts: "Even
after unmuting and setting the master volume and the pcm volume
in alsamixer..."
Comment 5 Gene Czarcinski 2004-04-06 07:36:29 EDT
I am also see this problem (ASUS SK8V with Opteron 140).

The hardware works fine when I bootup FC1 x86_64 but it does not work
with FC2-Test2.

enforcing=0

When I try to bring up volume control (the appl) I get a popup message
that says "No mixer elements and/or devices found".

Yes, /dev/mixer exists and all the modules appear to be loaded.
Comment 6 Dawid Gajownik 2004-11-03 14:43:55 EST
Hi Robin! I had similar problem, but without segfaulting. Maybe this
wiil help you:
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=123631#c15
Comment 7 Dave Jones 2004-12-07 00:48:19 EST
fixed in the current errata kernel ?
Comment 8 Gene Czarcinski 2004-12-07 00:55:43 EST
I will leave this for someone else to address since I have since
replaced the sound adapter I am using.
Comment 9 Wes McGee 2004-12-12 09:52:47 EST
"fixed in the current errata kernel ?"
Not for me, at least. I'm also not getting any sound from that same
sound adapter, and I had upgraded to 2.6.9-1.681_FC3 through that
up2date and did all the things Robin Green did in the beginning of
this bug report.
Comment 10 Dave Jones 2005-04-16 02:07:10 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.